Package org.eclipse.emf.cdo.lm.modules.util

# Class ModulesSwitch<T>

java.lang.Object
org.eclipse.emf.ecore.util.Switch<T>
org.eclipse.emf.cdo.lm.modules.util.ModulesSwitch<T>

public class ModulesSwitch<T> extends Switch<T>
The Switch for the model's inheritance hierarchy. It supports the call `doSwitch(object)` to invoke the `caseXXX` method for each class of the model, starting with the actual class of the object and proceeding up the inheritance hierarchy until a non-null result is returned, which is the result of the switch.

See Also:
  - `ModulesPackage`
Generated

## Field Summary

Fields
Modifier and Type
Field
Description
`protected static ModulesPackage`
`modelPackage`
The cached model package

## Constructor Summary

Constructors
Constructor
Description
`ModulesSwitch()`
Creates an instance of the switch.

## Method Summary

Modifier and Type
Method
Description
`T`
`caseDependencyDefinition(DependencyDefinition object)`
Returns the result of interpreting the object as an instance of 'Dependency Definition'.
`T`
`caseModelElement(ModelElement object)`
Returns the result of interpreting the object as an instance of 'Model Element'.
`T`
`caseModuleDefinition(ModuleDefinition object)`
Returns the result of interpreting the object as an instance of 'Module Definition'.
`T`
`defaultCase(EObject object)`
Returns the result of interpreting the object as an instance of 'EObject'.
`protected T`
`doSwitch(int classifierID, EObject theEObject)`
Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.
`protected boolean`
`isSwitchFor(EPackage ePackage)`
Checks whether this is a switch for the given package.

### Methods inherited from class org.eclipse.emf.ecore.util.Switch

`doSwitch, doSwitch`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### modelPackage

protected static ModulesPackage modelPackage
The cached model package

Generated

## Constructor Details

### ModulesSwitch

public ModulesSwitch()
Creates an instance of the switch.

Generated

## Method Details

### isSwitchFor

protected boolean isSwitchFor(EPackage ePackage)
Checks whether this is a switch for the given package.

Specified by:
  `isSwitchFor` in class `Switch<T>`
Parameters:
  `ePackage` - the package in question.
Returns:
  whether this is a switch for the given package.
Generated

### doSwitch

protected T doSwitch(int classifierID, EObject theEObject)
Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

Overrides:
  `doSwitch` in class `Switch<T>`
Returns:
  the first non-null result returned by a `caseXXX` call.
Generated

### caseModuleDefinition

public T caseModuleDefinition(ModuleDefinition object)
Returns the result of interpreting the object as an instance of 'Module Definition'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Module Definition'.
See Also:
  - `doSwitch(EObject)`
Generated

### caseDependencyDefinition

public T caseDependencyDefinition(DependencyDefinition object)
Returns the result of interpreting the object as an instance of 'Dependency Definition'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Dependency Definition'.
See Also:
  - `doSwitch(EObject)`
Generated

### caseModelElement

public T caseModelElement(ModelElement object)
Returns the result of interpreting the object as an instance of 'Model Element'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Model Element'.
See Also:
  - `doSwitch(EObject)`
Generated

### defaultCase

public T defaultCase(EObject object)
Returns the result of interpreting the object as an instance of 'EObject'. This implementation returns null; returning a non-null result will terminate the switch, but this is the last case anyway.

Overrides:
  `defaultCase` in class `Switch<T>`
Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'EObject'.
See Also:
  - `Switch.doSwitch(org.eclipse.emf.ecore.EObject)`
Generated